Skip to main content
API referenceRegistry

Fixtures By Network

Last updated

GET
/api/v1/{network}/fixtures

Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.

Path Parameters

network*string

Network to address. mainnet and finney are the same network, as are testnet and test.

Value in

  • "finney"
  • "mainnet"
  • "test"
  • "testnet"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/finney/fixtures"
{  "data": {    "candidate_count": 1,    "contract_version": "2026-06-29.1",    "coverage": [      {        "netuid": 7,        "status": "available",        "surface_id": "example"      }    ],    "fixture_count": 1,    "fixtures": [      {        "netuid": 7,        "surface_id": "example"      }    ],    "generated_at": "2026-06-01T00:00:00.000Z",    "missing_count": 1,    "notes": "Example description.",    "published_at": "2026-06-01T00:00:00.000Z",    "schema_version": 1,    "status_counts": {      "example": 1    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}